package com.dansoftware.boomega.util

import com.jfilegoodies.explorer.FileExplorers
import java.io.File

fun File.revealInExplorer() {
    FileExplorers.get().openSelect(this)
}

fun <I, T : Collection<I>> T.ifNotEmpty(block: (T) -> Unit): T {
    if (this.isNotEmpty())
        block(this)
    return this
}

fun String.surrounding(prefixSuffix: String) = this.surrounding(prefixSuffix, prefixSuffix)

fun String.surrounding(prefix: String, suffix: String) = (prefix + this + suffix)

@Suppress("PLATFORM_CLASS_MAPPED_TO_KOTLIN")
fun String.equalsIgnoreCase(other: String): Boolean =
    (this as java.lang.String).equalsIgnoreCase(other)